Overview
POST
/customer/revokecustomerRevoke a customer refresh session (logout); idempotent
Create a record in revoke.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- refreshTokenstring
Example
{
"refreshToken": "string"
}Responses
204
session revoked (idempotent — always 204)
No response body.
400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/customer/revoke" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"refreshToken": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/customer/revoke", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"refreshToken\": \"string\"\n}",
});
const data = await res.json();